#
# spec file for package frameworkintegration
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname   libKF5Style5
%define _tar_path 5.32
Name:           frameworkintegration
Version:        5.32.0
Release:        1.1
%define kf5_version %{version}
BuildRequires:  cmake >= 3.0
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kconfig-devel >= %{_tar_path}
BuildRequires:  kconfigwidgets-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{_tar_path}
BuildRequires:  kiconthemes-devel >= %{_tar_path}
BuildRequires:  kio-devel >= %{_tar_path}
BuildRequires:  knotifications-devel >= %{_tar_path}
BuildRequires:  kpackage-devel >= %{_tar_path}
BuildRequires:  kwidgetsaddons-devel >= %{_tar_path}
%if 0%{?suse_version} >= 1330 || (0%{?sle_version} >= 120200 && 0%{?is_opensuse})
BuildRequires:  cmake(AppStreamQt) >= 0.10.4
%endif
BuildRequires:  cmake(Qt5DBus) >= 5.6.0
BuildRequires:  cmake(Qt5Widgets) >= 5.6.0
BuildRequires:  cmake(Qt5X11Extras) >= 5.6.0
BuildRequires:  cmake(packagekitqt5)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcursor)
Summary:        Plugins responsible for better integration of Qt applications in KDE Workspace
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Framework Integration is a set of plugins responsible for better
integration of Qt applications when running on a
KDE Plasma workspace.

Applications do not need to link to this directly.

%package -n %lname
Summary:        Plugins responsible for better integration of Qt applications in KDE Workspace
Group:          System/GUI/KDE
Obsoletes:      %lname-lang < %{version}
Obsoletes:      libKF5Style4

%description -n %lname
Framework Integration is a set of plugins responsible for better
integration of Qt applications when running on a
KDE Plasma workspace.

Applications do not need to link to this directly.

%package plugin
Summary:        Plugins responsible for better integration of Qt applications in KDE Workspace
Group:          System/GUI/KDE
Conflicts:      %lname < 5.6.0
Requires:       plasma5-integration-plugin

%description plugin
Framework Integration is a set of plugins responsible for better
integration of Qt applications when running on a
KDE Plasma workspace.

Applications do not need to link to this directly.

%package devel
Summary:        Plugins responsible for better integration of Qt applications in KDE Workspace
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       extra-cmake-modules
Requires:       kconfigwidgets-devel >= %{_tar_path}
Requires:       kiconthemes-devel >= %{_tar_path}

%description devel
Framework Integration is a set of plugins responsible for better
integration of Qt applications when running on a
KDE Plasma workspace.

Applications do not need to link to this directly. Development files

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5Style.so.*

%files plugin
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_datadir}/infopage/
%{_kf5_plugindir}/
%{_kf5_libexecdir}/
%{_kf5_notifydir}/

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Style.so
%{_kf5_libdir}/cmake/KF5FrameworkIntegration/
%dir %{_kf5_includedir}/KStyle/
%{_kf5_includedir}/KStyle/
%{_kf5_includedir}/*.h

%changelog
* Fri Apr  7 2017 fabian@ritter-vogt.de
- Enable AppStreamQt only for Leap 42.2+ and TW
- Enable cmake(packagekitqt5)
* Sun Mar 19 2017 lbeltrame@kde.org
- Update to 5.32.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.32.0.php
- Changes since 5.31.0:
  * Upgrade ECM and KF5 version requirements for 5.32.0 release.
  * Upgrade KF5 version to 5.32.0.
* Mon Feb 13 2017 fabian@ritter-vogt.de
- Build with AppStream-Qt again, right version now available
* Thu Feb  9 2017 hrvoje.senjan@gmail.com
- Update to 5.31.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.31.0.php
* Sun Jan  8 2017 hrvoje.senjan@gmail.com
- Update to 5.30.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.30.0.php
* Thu Dec 15 2016 hrvoje.senjan@gmail.com
- Drop fix-appstream-detection.patch - just don't build with
  APPSTREAM-QT until we have the right version available
* Thu Dec 15 2016 lbeltrame@kde.org
- Add fix-appstream-detection.patch: fix AppstreamQt vs
  AppStreamQt detection
* Sun Dec  4 2016 hrvoje.senjan@gmail.com
- Update to 5.29.0
  * Find QDBus, needed by appstream kpackage handler
  * Let KPackage have dependencies from packagekit & appstream
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.29.0.php
* Sat Nov  5 2016 hrvoje.senjan@gmail.com
- Update to 5.28.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.28.0.php
* Sun Oct  2 2016 hrvoje.senjan@gmail.com
- Update to 5.27.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.27.0.php
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Remove unused dependencies and translation handling
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Remove platformtheme plugin as it's in plasma-integration
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Fallback to QCommonStyle implementation of standardIcon
  * Set a default menu close timeout
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Remove possible file-name in KDEPlatformFileDialog::setDirectory()
  * Don't filter by name if we have mime types
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * Add plasmoid installation failed to plasma_workspace.notifyrc
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
- Drop upstreamed 0001-Don-t-add-extra-KDE-SNI-actions-in-our-systemtray-qp.patch
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * Set default value for WheelScrollLines
  * Fix WheelScrollLines settings with Qt >= 5.5 (kde#291144)
  * Switch to Noto font for Plasma 5.5
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
- Added 0001-Don-t-add-extra-KDE-SNI-actions-in-our-systemtray-qp.patch
  (kde#354991)
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Fix random file dialog not showing up problem. (kde#350758)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
- Drop 0001-Fix-random-file-dialog-not-showing-up-problem.patch, upstreamed
* Fri Oct  2 2015 hrvoje.senjan@gmail.com
- Added 0001-Fix-random-file-dialog-not-showing-up-problem.patch
  (kde#350758)
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * Also propagate window titles for folder-only file dialogs
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * Fix crash in directories-only file dialog
  * Don't rely on options()->initialDirectory() for Qt < 5.4
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Use the correct initialDirectory for the KDirSelectDialog
  * Make sure the scheme is specified when overriding the start
    url value
  * Only accept existing directories in FileMode::Directory mode
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * Fix native file dialogs from widgets QFileDialog:
  * * File dialogs opened with exec() and without parent were
    opened, but any user-interaction was blocked in a way that no
    file could be selected nor the dialog closed.
  * * File dialogs opened with open() or show() with parent were
    not opened at all.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
- Drop 0001-Fix-native-file-dialogs-from-widgets-QFileDialog.patch,
  merged upstream
* Fri Apr 17 2015 hrvoje.senjan@gmail.com
- Add the kde-oxygen-fonts Requires to correct subpackage
- Add 0001-Fix-native-file-dialogs-from-widgets-QFileDialog.patch
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * Fix possible crash when destroying a QSystemTrayIcon
    (triggered by e.g. Trojita), kde#343976
  * Fix native modal file dialogs in QML, kde#334963
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Sat Feb 28 2015 hrvoje.senjan@gmail.com
- Rebuild against Qt 5.4.1
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * Fix updating of single click setting at runtime
  * Multiple fixes to the systemtray integration
  * Only install color scheme on toplevel widgets
    (to fix QQuickWidgets)
  * Update XCursor settings on X11 platform
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
- Drop patches merged upstream:
  0005-Properly-check-for-systray-being-available.patch,
  0007-Use-activate-on-single-click-setting-from-QPlatformT.patch,
  0001-Update-XCursor-settings.patch,
  0004-Only-install-color-scheme-on-toplevel-widgets.patch and
  0008-Implement-SystemTrayMenuItem-setMenu-correctly.patch
* Fri Jan 30 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-Update-XCursor-settings.patch,
  0005-Properly-check-for-systray-being-available.patch (kde#339707),
  0004-Only-install-color-scheme-on-toplevel-widgets.patch,
  0007-Use-activate-on-single-click-setting-from-QPlatformT.patch
  (kde#343418) and
  0008-Implement-SystemTrayMenuItem-setMenu-correctly.patch
- Added pkgconfig(x11) and pkgconfig(xcursor) BuildRequires, needed
  for 0001-Update-XCursor-settings.patch
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * Fix handling of palette change events (kde#336813)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
- Split the integration plugin into separate package
- Make sure that the plugin uses exact libQt5Gui5 version it was
  compiled against, due to usage of private Qt headers
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * Implement standardButtonText().
  * Fix restoring the view mode and sizes in the file dialog
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * Implement support for setting custom labels in file dialogs
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * Fixed for compilation with Qt 5.4
  * Fixed a few standard shortcuts
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
- Drop patches merged upstream:
  0001-default-to-breeze.patch and 0002-colorscheme-in-General.patch
* Wed Sep 24 2014 hrvoje.senjan@gmail.com
- Added 0001-default-to-breeze.patch and 0002-colorscheme-in-General.patch
  from upstream: adjust correct default widget theme, and makes
  colorscheme be read from correct kconfig section
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * Frameworkintegration: the file dialog now remembers its size
    correctly, and works better with remote URLs.
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
- Add frameworkintegration-plugin Provides
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Define kf5_version within package
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
- Drop 0001-Ensure-the-xcb-connection-gets-flushed-before-the-ev.patch,
  merged upstream
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Add 0001-Ensure-the-xcb-connection-gets-flushed-before-the-ev.patch
  (kde#334858)
- Added baselibs.conf
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
- BuildRequire libQt5Gui-private-headers-devel >= 5.2.0, as rest
  of Qt modules
- Require kde-oxygen-fonts, it is now official font of KDE Workspaces
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init frameworkintegration package
